#ifndef _ICUCONV_H
#define _ICUCONV_H

#include "unicode/ucnv.h"

#ifdef	__cplusplus
extern "C" {
#endif

  struct  _icuconv_t {
	UConverter * inConverter;	
	UConverter * outConverter;	
  };

  typedef struct _icuconv_t	*icuconv_t;

  typedef int32_t icuconv_size_t;
  extern icuconv_t	icuconv_open(const char *, const char *);
  extern icuconv_size_t	icuconv(icuconv_t, const char **, icuconv_size_t *, char **, icuconv_size_t *);
  extern int	icuconv_close(icuconv_t);


#ifdef	__cplusplus
}
#endif

#endif /* !_ICUCONV_H */

